## org.metaabm.gen.test
Class GenerateAscapeTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.metaabm.gen.test.share.AbstractGenerateBaseTest
                  org.metaabm.gen.test.GenerateAscapeTest

All Implemented Interfaces:
  junit.framework.Test

    public class GenerateAscapeTest

extends org.metaabm.gen.test.share.AbstractGenerateBaseTest

***Note*** These unit tests assume that they are launched as an Eclipse JUnit test case (headless) that include the enclosing projects in the launched workspace.

Author:
  milesparker

Field Summary

Fields inherited from class org.metaabm.gen.test.share.AbstractGenerateBaseTest
`BASE_ACT_MOVE_CLASS_NAMES, BASE_ACT_MOVE_MODEL_NAMES, BASE_CLASS_NAMES, BASE_MODEL_NAMES, EXPECTED_BUILD_TIME, REPOS_PATH`

Constructor Summary
`GenerateAscapeTest()`

Method Summary
`void` `testGenerate()`

Methods inherited from class org.metaabm.gen.test.share.AbstractGenerateBaseTest
`executeGeneration, postBuildForFile, preBuildForFile`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GenerateAscapeTest

    public GenerateAscapeTest()

Method Detail

### testGenerate

    public void testGenerate()